/* Event header for application - AppBuilder 1.13A */

const ApEventLink_t appl_links[] = {
	{ 3, 0, 0L, 0L, 0L, &chatrooms, chatrooms_links, NULL, 0, NULL, 0, 0, 0, 0, dschatrooms },
	{ 0, 0, 0L, 0L, 0L, NULL, NULL, NULL, 0, NULL, 0, 0, 0, 0, NULL }
	};

ApEventLink_t internal_links[] = {
	{ 4, 0, 0L, 0L, 0L, &room, room_links, NULL, 0, room_setup, 0, 0, 0, 0, dsroom },
	{ 3, 0, 0L, 0L, 0L, &chatrooms, chatrooms_links, NULL, 0, chatrooms_setup, 1, 0, 0, 0, dschatrooms },
	{ 0, 0, 0L, 0L, 0L, NULL, NULL, NULL, 0, NULL, 0, 0, 0, 0, NULL }
	};

const ApEventLink_t chatrooms_links[] = {
	{ 8, 2, 120L, 4L, 0L, NULL, NULL, "chatrooms", 1010, chatrooms_btn_exit, 0, 0, 0, 0, NULL },
	{ 8, 0, 0L, 0L, 0L, NULL, NULL, "chatrooms", 1009, chatrooms_destroyed, 0, 0, 0, 0, NULL },
	{ 8, 0, 0L, 0L, 0L, NULL, NULL, "chatroom3_sel", 2009, chatroom_activate, 0, 0, 0, 0, NULL },
	{ 8, 1, 0L, 0L, 32L, NULL, NULL, "chatroom3_sel", 1011, chatroom_boundary, 0, 0, 0, 0, NULL },
	{ 8, 0, 0L, 0L, 0L, NULL, NULL, "chatroom4_sel", 2009, chatroom_activate, 0, 0, 0, 0, NULL },
	{ 8, 1, 0L, 0L, 32L, NULL, NULL, "chatroom4_sel", 1011, chatroom_boundary, 0, 0, 0, 0, NULL },
	{ 8, 0, 0L, 0L, 0L, NULL, NULL, "chatroom2_sel", 2009, chatroom_activate, 0, 0, 0, 0, NULL },
	{ 8, 1, 0L, 0L, 32L, NULL, NULL, "chatroom2_sel", 1011, chatroom_boundary, 0, 0, 0, 0, NULL },
	{ 8, 0, 0L, 0L, 0L, NULL, NULL, "chatroom1_sel", 2009, chatroom_activate, 0, 0, 0, 0, NULL },
	{ 8, 1, 0L, 0L, 32L, NULL, NULL, "chatroom1_sel", 1011, chatroom_boundary, 0, 0, 0, 0, NULL },
	{ 8, 0, 0L, 0L, 0L, NULL, NULL, "chatrooms_btn_exit", 2009, chatrooms_btn_exit, 0, 0, 0, 0, NULL },
	{ 4, 0, 0L, 0L, 0L, &about, about_links, "chatrooms_btn_about", 2009, about_setup, 0, 9, 0, 0, dsabout },
	{ 4, 2, 61467L, 0L, 0L, &about, about_links, "chatrooms_btn_about", 1010, about_setup, 0, 9, 0, 0, dsabout },
	{ 0, 0, 0L, 0L, 0L, NULL, NULL, NULL, 0, NULL, 0, 0, 0, 0, NULL }
	};

const ApEventLink_t room_links[] = {
	{ 8, 0, 0L, 0L, 0L, NULL, NULL, "room", 1009, room_destroyed, 0, 0, 0, 0, NULL },
	{ 8, 0, 0L, 0L, 0L, NULL, NULL, "room", 18024, NULL, 0, 0, 0, 0, NULL },
	{ 8, 0, 0L, 0L, 0L, NULL, NULL, "room", 1012, room_realized, 0, 0, 0, 0, NULL },
	{ 8, 0, 0L, 0L, 0L, NULL, NULL, "room", 1013, room_unrealized, 0, 0, 0, 0, NULL },
	{ 4, 0, 0L, 0L, 0L, &invit, invit_links, "room_btn_invit", 2009, invit_setup, 0, 1, -32, 0, dsinvit },
	{ 10, 0, 0L, 0L, 0L, NULL, NULL, "room_btn_leave", 2009, NULL, 0, 0, 0, 0, NULL },
	{ 8, 0, 0L, 0L, 0L, NULL, NULL, "room_input", 2009, room_input_activate, 0, 0, 0, 0, NULL },
	{ 8, 0, 0L, 0L, 0L, NULL, NULL, "room_input", 4010, room_input_changed, 0, 0, 0, 0, NULL },
	{ 8, 0, 0L, 0L, 0L, NULL, NULL, "room_btn_clear", 2009, room_btn_clear, 0, 0, 0, 0, NULL },
	{ 8, 0, 0L, 0L, 0L, NULL, NULL, "room_btn_send", 2009, room_btn_send, 0, 0, 0, 0, NULL },
	{ 8, 0, 0L, 0L, 0L, NULL, NULL, "room_btn_rooms", 2009, room_btn_rooms, 0, 0, 0, 0, NULL },
	{ 8, 0, 0L, 0L, 0L, NULL, NULL, "room_text4", 4010, text_changed, 0, 0, 0, 0, NULL },
	{ 8, 0, 0L, 0L, 0L, NULL, NULL, "room_text3", 4010, text_changed, 0, 0, 0, 0, NULL },
	{ 8, 0, 0L, 0L, 0L, NULL, NULL, "room_text2", 4010, text_changed, 0, 0, 0, 0, NULL },
	{ 8, 0, 0L, 0L, 0L, NULL, NULL, "room_text1", 4010, text_changed, 0, 0, 0, 0, NULL },
	{ 8, 0, 0L, 0L, 0L, NULL, NULL, "room_text0", 4010, text_changed, 0, 0, 0, 0, NULL },
	{ 0, 0, 0L, 0L, 0L, NULL, NULL, NULL, 0, NULL, 0, 0, 0, 0, NULL }
	};

const ApEventLink_t about_links[] = {
	{ 10, 0, 0L, 0L, 0L, NULL, NULL, "about_btn_ok", 2009, NULL, 0, 0, 0, 0, NULL },
	{ 10, 2, 61467L, 0L, 0L, NULL, NULL, "about_btn_ok", 1010, NULL, 0, 0, 0, 0, NULL },
	{ 0, 0, 0L, 0L, 0L, NULL, NULL, NULL, 0, NULL, 0, 0, 0, 0, NULL }
	};

const ApEventLink_t invit_links[] = {
	{ 8, 0, 0L, 0L, 0L, NULL, NULL, "invit", 1009, invit_destroyed, 0, 0, 0, 0, NULL },
	{ 8, 0, 0L, 0L, 0L, NULL, NULL, "invit_node", 2009, invit_node_activate, 0, 0, 0, 0, NULL },
	{ 8, 0, 0L, 0L, 0L, NULL, NULL, "invit_who", 2009, invit_who_activate, 0, 0, 0, 0, NULL },
	{ 8, 0, 0L, 0L, 0L, NULL, NULL, "invit_who", 1012, invit_opening, 0, 0, 0, 0, NULL },
	{ 0, 0, 0L, 0L, 0L, NULL, NULL, NULL, 0, NULL, 0, 0, 0, 0, NULL }
	};

