/* Import (extern) header for application - AppBuilder 1.13A */

#include "abdefine.h"

extern const ApEventLink_t appl_links[];
extern ApEventLink_t internal_links[];

extern ApWindowLink_t chatrooms;
extern const ApEventLink_t chatrooms_links[];
extern ApWidget_t dschatrooms[32];

extern ApDialogLink_t room;
extern const ApEventLink_t room_links[];
extern ApWidget_t dsroom[23];

extern ApDialogLink_t about;
extern const ApEventLink_t about_links[];
extern ApWidget_t dsabout[7];

extern ApDialogLink_t invit;
extern const ApEventLink_t invit_links[];
extern ApWidget_t dsinvit[7];

#ifdef __cplusplus
extern "C" {
#endif
int chatrooms_init( int argc, char **argv );
int room_setup( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int chatroom_activate( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int chatroom_boundary( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int chatrooms_setup( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int room_destroyed( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int text_changed( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int invit_who_activate( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int invit_node_activate( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int chatrooms_btn_exit( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int about_setup( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int room_input_activate( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int room_input_changed( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int room_btn_clear( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int room_btn_send( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int invit_setup( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int invit_destroyed( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int invit_opening( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int chatrooms_destroyed( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int room_btn_rooms( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int room_realized( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int room_unrealized( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
#ifdef __cplusplus
}
#endif
