
#ifdef __MAIN__
	#define COMMON
#else
	#define COMMON extern
#endif

/* Server Pid or Vid */
COMMON	pid_t	server_vid;

/* Who am I ? Either getlogin() or argv[5] */
COMMON	char	whoami[ MAXLEN_USER+1 ];

/* User no (Given by the server) */
COMMON	short	userno;

/* Current room and Current chair */
COMMON	int		curr_room;
COMMON	int		curr_chair;

/* Copy of all users into each room */
COMMON	USER	all_users[ MAXNB_ROOMS ][ MAXNB_CHAIRS ];

/* Copy of all msg into the current room */
COMMON	MSG		all_chairs_msg[ MAXNB_CHAIRS ];

COMMON PtWidget_t	*chatrooms_chair[ MAXNB_ROOMS ][ MAXNB_CHAIRS ];

COMMON PtWidget_t	*room_chairs[ MAXNB_CHAIRS ];
COMMON PtWidget_t	*room_labels[ MAXNB_CHAIRS ];
COMMON PtWidget_t	*room_texts[ MAXNB_CHAIRS ];

COMMON pid_t 	proxy_send_msg;
COMMON timer_t	timer_send_msg;

COMMON	PtInputId_t	*send_msg_id;

COMMON	pid_t	proxy_users;
COMMON	pid_t	proxy_msg;

COMMON	int		chatrooms_was_hidden;	// Update when click on 'Leave'

COMMON	char	ini_fname[ PATH_MAX+30 ];	// .INI filename
