
/* ../abmain.c */
void main ( int argc , char *argv []);

/* ../about.c */
int about_setup ( PtWidget_t *link_instance , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );

/* ../chatrooms.c */
void update_chairs ( USER *p0 );
void active_text ( const short chair , char *user_name , const int active );
void show_users ( void );
int users_change ( void *data , pid_t pid , void *msg , ushort_t size );
int show_msg ( void );
int msg_change ( void *data , pid_t pid , void *msg , ushort_t size );
int invitation ( char *from_who , nid_t from_node , int which_room );
int exit_app ( int signal , void *data );
int chatrooms_init ( int argc , char *argv []);
int chatrooms_setup ( PtWidget_t *link_instance , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );
int chatroom_activate ( PtWidget_t *widget , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );
int chatroom_boundary ( PtWidget_t *widget , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );
int chatrooms_btn_exit ( PtWidget_t *widget , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );
int chatrooms_destroyed ( PtWidget_t *widget , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );

/* ../invit.c */
int invit_setup ( PtWidget_t *link_instance , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );
int invit_destroyed ( PtWidget_t *widget , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );
int invit_opening ( PtWidget_t *widget , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );
int record_found_user ( const char *user_name , nid_t node );
int invit_who_activate ( PtWidget_t *widget , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );
int invit_node_activate ( PtWidget_t *widget , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );

/* ../room.c */
void setString ( const PtWidget_t *wgt , const char *fmt , ...);
void getString ( const PtWidget_t *wgt , char *string );
int enableBtn ( const PtWidget_t *wgt , const int state );
int room_setup ( PtWidget_t *link_instance , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );
int send_msg ( void *data , pid_t pid , void *msg , ushort_t size );
int room_destroyed ( PtWidget_t *widget , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );
int text_changed ( PtWidget_t *widget , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );
int room_input_activate ( PtWidget_t *widget , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );
int room_input_changed ( PtWidget_t *widget , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );
int room_btn_clear ( PtWidget_t *widget , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );
int room_btn_send ( PtWidget_t *widget , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );
int room_btn_rooms ( PtWidget_t *widget , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );
int room_realized ( PtWidget_t *widget , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );
int room_unrealized ( PtWidget_t *widget , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );

/* ../balloon.c */
void setUserData ( const PtWidget_t *wgt , const void *ptr );
void *getUserData ( const PtWidget_t *wgt );
int widget_balloon ( PtWidget_t *widget , ApInfo_t *apinfo , PtCallbackInfo_t *cbinfo );
int install_balloons ( PtWidget_t *win );
int desinstall_balloons ( PtWidget_t *win );
